import ArgumentParser
import DoxyLibrary

@main
struct App: AsyncParsableCommand {
    
    // MARK: Properties

    @OptionGroup var options: Options
    
    // MARK: Functions

    mutating func run() async throws {
        let appBuilder = AppBuilder(appName: "Doxy")

        let app = try await appBuilder(options)

        try await app.runService()
    }

}
